<?
class INIFile{
	var $fn;
	var $data;
	
	Function __construct($filename){
		$this->fn = $filename;
		if(file_exists($filename))
			$this->import();
	}
	Function readKey($key, $group=false){
		if($group && isset($this->data[$group][$key])) $ret = $this->data[$group][$key];
		elseif(isset($this->data[$key]))               $ret = $this->data[$key];
		return isset($ret)?$ret:false;
	}
	Function setKey($key, $value, $group=false){
		if($group) $this->data[$group][$key]=$value;
		else       $this->data[$key]=$value;
	}
	Function import(){
		$data  = file($this->fn);
		$group = "";
		
		for($x = 0; $x < sizeof($data); $x++){
			$ln = ereg_replace(";.*", "", $data[$x]);
			$ln = trim($ln);
			if(!strlen($ln))
				continue;
			if($ln[0] == "[" && $ln[strlen($ln)-1] == "]")
				$group = substr($ln, 1, -1);
			else{
				preg_match("/(.*?)=(.*)/", $ln, $output);
				if($group !== "")
					$this->data[$group][trim($output[1])] = trim($output[2]);
				elseif($output)
					$this->data[trim($output[1])] = trim($output[2]);
			}
		}
	}
	Function save($as=false){
		$single = "";
		$group  = "";
		
		if(sizeof($this->data))
			foreach($this->data as $key=>$value)
				if(!is_array($value))
					$single .= "$key=$value\r\n";
				else{
					$group .= "[$key]\r\n";
					foreach($value as $k2=>$val2)
						$group .= "$k2=$val2\r\n";
					$group .= "\r\n";
				}
		$output = $single."\r\n".$group;

		$arq = fopen(($as?$as:$this->fn), "w");
		fwrite($arq, $output);
		fclose($arq);
	}
}
